Bug 1528396 (CVE-2018-5748) - CVE-2018-5748 libvirt: Resource exhaustion via qemuMonitorIORead() method
Summary: CVE-2018-5748 libvirt: Resource exhaustion via qemuMonitorIORead() method
Status: CLOSED ERRATA
Alias: CVE-2018-5748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180116,reported=2...
Keywords: Reopened, Security
Depends On: 1535785 1550979 1550980 1566978
Blocks: 1528397
TreeView+ depends on / blocked
 
Reported: 2017-12-21 18:34 UTC by Pedro Sampaio
Modified: 2019-06-08 22:34 UTC (History)
18 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-24 08:58:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1396 None None None 2018-05-14 16:11 UTC
Red Hat Product Errata RHSA-2018:1929 None None None 2018-06-19 04:56 UTC

Description Pedro Sampaio 2017-12-21 18:34:15 UTC
A flaw was found in Qemu. A lack of restriction for the amount of data read by QEMU Monitor socket can lead to denial of service by exhaustion of memory resources.

References:

https://www.redhat.com/archives/libvir-list/2017-December/msg00749.html

Comment 1 Pedro Sampaio 2017-12-21 18:34:29 UTC
Acknowledgments:

Name: Daniel P. Berrange (Red Hat), Peter Krempa (Red Hat)

Comment 2 Prasad J Pandit 2018-01-18 06:05:43 UTC
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1535785]

Comment 3 Cedric Buissart 🐶 2018-01-24 14:36:48 UTC
Although RHES-3 (RHGS) is shipped with libvirt, it does not use Qemu. As such, there is no qemu process running, and no vulnerable monitor socket created.

Comment 4 Fedora Update System 2018-03-01 16:23:28 UTC
libvirt-3.7.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2018-05-14 16:11:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1396 https://access.redhat.com/errata/RHSA-2018:1396

Comment 7 errata-xmlrpc 2018-06-19 04:55:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1929 https://access.redhat.com/errata/RHSA-2018:1929


Note You need to log in before you can comment on or make changes to this bug.